Bug 833103 - Elisp packages require rebuild for Emacs 24
Elisp packages require rebuild for Emacs 24
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs-goodies (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Arun S A G
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 831449
  Show dependency treegraph
 
Reported: 2012-06-18 11:06 EDT by Karel Klíč
Modified: 2014-01-18 14:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 831449
Environment:
Last Closed: 2013-08-01 14:06:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Klíč 2012-06-18 11:06:34 EDT
+++ This bug was initially created as a clone of Bug #831449 +++

Description of problem:
When we start the emacs to open a file, it gives an error message as follows:
Symbol's value as variable is void: inhibit-first-line-modes-regexps.

Version-Release number of selected component (if applicable):
emacs.x86_64                    1:24.0.95-1.fc17

How reproducible:
whenever I start the emacs


Steps to Reproduce:
1. emacs -nw <file name>
2.
3.
  
Actual results:
Symbol's value as variable is void: inhibit-first-line-modes-regexps

Expected results:


Additional info:

--- Additional comment from garrett.mitchener@gmail.com on 2012-06-13 14:24:46 EDT ---

I just ran into this. There are initialization files

/usr/share/emacs/site-lisp/gnu-smalltalk/smalltalk-mode.elc
/usr/share/emacs/site-lisp/goodies/ctypes.elc
...

(and the corresponding .el files) that refer to the variable inihibit-first-line-modes-regexps, but it has been renamed in recent versions of emacs.  Removing those files got rid of this problem for me.  There might be other elisp packages with the same problem.  I found these by using grep:

grep -r 'inhibit-first-line' /usr/share/emacs/site-lisp

then

rpm -qf /usr/share/emacs/site-lisp/gnu-smalltalk/smalltalk-mode.elc

etc. to find the package they belong to.

There might be other emacs packages with this problem that I just don't happen to have.

The real fix is for all those packages to be updated and rebuilt.  Meanwhile, at least on my system, I got rid of the problem by removing the emacs-gnu-smalltalk and emacs-goodies packages:

yum erase emacs-gnu-smalltalk* emacs-goodies*
Comment 1 Andrea Dell'Amico 2012-11-08 05:21:09 EST
Any news on this? emacs-goodies contains a lot of nice things.
Comment 2 Mateusz Czerwiński 2012-12-13 05:17:13 EST
I had the same problem when I installed emacs-gnu-smalltalk-el.noarch. To go back to working emacs, I need to delete emacs-gnu-smalltalk-el.noarch and this file:
$ /usr/share/emacs/site-lisp/site-start.d> sudo rm smalltalk-mode-init.elc
Remember: Make backup of file.
Comment 3 Arun S A G 2013-01-06 02:14:03 EST
I have these versions

[zer0c00l@sagarun ~]$ rpm -q emacs
emacs-24.1-7.fc17.x86_64
[zer0c00l@sagarun ~]$ rpm -q emacs-goodies
emacs-goodies-35.0-2.fc17.noarch


But i couldn't reproduce the issue. Is it still a problem? or am i missing something?
Comment 5 Bruce-Robert Pocock 2013-03-29 10:49:49 EDT
+1 on a clean Fedora-18 install. I can't swear to it that this package is (alone) the culprit, however, as I also installed the Smalltalk package. However, the package does refer to a "dead" symbol, so ...


/usr/share/emacs/24.2/etc/NEWS


*** The variable `inhibit-first-line-modes-regexps' has been renamed
to `inhibit-local-variables-regexps'.  As the name suggests, it now
applies to ALL file local variables, not just -*- lines.  The
associated `inhibit-first-line-modes-suffixes' has been renamed in the
corresponding way.


sed -e 's/inhibit-first-line-modes-regexps/inhibit-local-variables-regexps/g'


I just replaced the references and removed the .elc's for this and emacs-gnu-smalltalk, and things seem to be all right now. But that fix should probably make its way into the distribution/upstream.
Comment 6 Fedora End Of Life 2013-07-04 02:30:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:06:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Fedora Update System 2014-01-18 14:57:10 EST
emacs-goodies-35.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/emacs-goodies-35.8-2.fc19
Comment 9 Fedora Update System 2014-01-18 14:59:18 EST
emacs-goodies-35.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/emacs-goodies-35.8-2.fc20

Note You need to log in before you can comment on or make changes to this bug.